Photoshop: ExtendScript needs to catch up with ECMAScript

  • 4
  • Problem
  • Updated 2 years ago
  • (Edited)
I’m having to learn two versions of JavaScript — one for the Web, 
and one for Photoshop and other Adobe apps.
 
For Web development, I’m getting up to speed on ECMAScript 5,
which today’s browsers mostly support.  It’s a genuine drag to have to 
remember the things that don’t work with my mostly Photoshop scripting.
 
It would be a great help for Adobe JavaScript to catch up with current 
ECMAScript standards.
Photo of Charles Cleveland

Charles Cleveland

  • 4 Posts
  • 0 Reply Likes

Posted 2 years ago

  • 4
Photo of Jaroslav Bereza

Jaroslav Bereza

  • 763 Posts
  • 157 Reply Likes
Extend Script Toolkit needs a lot improvements too